# Contributing to MCP Filesystem

Thank you for your interest in contributing to this project!

## Getting Started

1. Fork the repository
2. Clone your fork: `git clone git@github.com:your-username/mcp-filesystem.git`
3. Create a new branch: `git checkout -b feature-name`
4. Make your changes
5. Run quality checks: `make check`
6. Commit your changes: `git commit -m "Description of changes"`
7. Push to your fork: `git push origin feature-name`
8. Open a Pull Request

## Development Setup

```bash
# Install dependencies and set up environment
make setup

# Run all quality checks
make check
```

## Code Quality Standards

- All code must be typed with proper type hints
- Tests must be included for new features
- Documentation must be updated when necessary
- All quality checks must pass (`make check`)

## Pull Request Process

1. Update the README.md with details of significant changes
2. Update the CHANGELOG.md following the existing format
3. The PR will be merged once you have the sign-off of at least one maintainer

## Questions?

Feel free to open an issue for any questions or concerns.
